GET /conversations/community

circuitsandbox.net

Summary: Gets a list of communities
Operation ID: getCommunityConversations
Auth: unknown
Description

Gets a list of communities. This endpoint can be used to explore the communities the authenticated user could join. OauthScopes: READ_CONVERSATIONS

Parameters (5)

includeOwn (boolean, query, optional, default: False)

If set to false only conversations are returned where the user is no member of, otherwise all community conversations are returned

order (string, query, optional, default: ASCENDING)

Defines the ordering of the conversations (default is ascending)

Constraints: {'maxLength': 2048, 'enum': ['ASCENDING', 'DESCENDING']}

results (number, query, optional, default: 25)

The maximum number of returned results (default 25). The maximum allowed value is 100.

Constraints: {'minimum': 1, 'maximum': 100}

sort (string, query, optional, default: ALPHABETICALLY)

Defines the type of sorting for the community conversations (default is alphabetical)

Constraints: {'maxLength': 2048, 'enum': ['ALPHABETICALLY', 'RECENT_ACTIVITY', 'POPULARITY']}

startIndex (number, query, optional, default: 0)

The index of the conversation that is the first one that has to be returned. E.g. if a request starts with startIndex 40 and results 20 the conversations 40 to 60 are returned

Constraints: {'minimum': 0, 'maximum': 255}

No probe data for this endpoint yet.